// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 50;
	objects = {

/* Begin PBXBuildFile section */
		2A1132EA20ED0D74003DBE2E /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2A1132E920ED0D74003DBE2E /* AppDelegate.swift */; };
		2A1132EF20ED0D74003DBE2E /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 2A1132ED20ED0D74003DBE2E /* Main.storyboard */; };
		2A1132F120ED0D76003DBE2E /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 2A1132F020ED0D76003DBE2E /* Assets.xcassets */; };
		2A1132F420ED0D76003DBE2E /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 2A1132F220ED0D76003DBE2E /* LaunchScreen.storyboard */; };
		2A1132FD20ED2A16003DBE2E /* ImageGalleryCollectionViewCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2A1132FC20ED2A16003DBE2E /* ImageGalleryCollectionViewCell.swift */; };
		2A1132FF20ED3E19003DBE2E /* ImageGalleryDocumentTableViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2A1132FE20ED3E19003DBE2E /* ImageGalleryDocumentTableViewController.swift */; };
		2A11330120ED4043003DBE2E /* Utilities.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2A11330020ED4043003DBE2E /* Utilities.swift */; };
		2A5C1B6E20F6222F00954138 /* ImageViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2A5C1B6D20F6222F00954138 /* ImageViewController.swift */; };
		2A5C1B7320F6359100954138 /* ImageGalleryDocumentTableViewCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2A5C1B7220F6359100954138 /* ImageGalleryDocumentTableViewCell.swift */; };
		2ACD341420F2752C00E0B1AC /* ImageGalleryManager.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2ACD341320F2752C00E0B1AC /* ImageGalleryManager.swift */; };
		2AE8CCBD20F548F600E30E7C /* ImageGalleryCollectionViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2AE8CCBC20F548F600E30E7C /* ImageGalleryCollectionViewController.swift */; };
		2AFAF4FD20F2B5B200A51312 /* ImageGallery.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2AFAF4FC20F2B5B200A51312 /* ImageGallery.swift */; };
/* End PBXBuildFile section */

/* Begin PBXFileReference section */
		2A1132E620ED0D74003DBE2E /* Image Gallery.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = "Image Gallery.app"; sourceTree = BUILT_PRODUCTS_DIR; };
		2A1132E920ED0D74003DBE2E /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		2A1132EE20ED0D74003DBE2E /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/Main.storyboard; sourceTree = "<group>"; };
		2A1132F020ED0D76003DBE2E /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		2A1132F320ED0D76003DBE2E /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		2A1132F520ED0D76003DBE2E /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		2A1132FC20ED2A16003DBE2E /* ImageGalleryCollectionViewCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ImageGalleryCollectionViewCell.swift; sourceTree = "<group>"; };
		2A1132FE20ED3E19003DBE2E /* ImageGalleryDocumentTableViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ImageGalleryDocumentTableViewController.swift; sourceTree = "<group>"; };
		2A11330020ED4043003DBE2E /* Utilities.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Utilities.swift; sourceTree = "<group>"; };
		2A5C1B6D20F6222F00954138 /* ImageViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ImageViewController.swift; sourceTree = "<group>"; };
		2A5C1B7220F6359100954138 /* ImageGalleryDocumentTableViewCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ImageGalleryDocumentTableViewCell.swift; sourceTree = "<group>"; };
		2ACD341320F2752C00E0B1AC /* ImageGalleryManager.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ImageGalleryManager.swift; sourceTree = "<group>"; };
		2AE8CCBC20F548F600E30E7C /* ImageGalleryCollectionViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ImageGalleryCollectionViewController.swift; sourceTree = "<group>"; };
		2AFAF4FC20F2B5B200A51312 /* ImageGallery.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ImageGallery.swift; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		2A1132E320ED0D74003DBE2E /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		2A1132DD20ED0D74003DBE2E = {
			isa = PBXGroup;
			children = (
				2A1132E820ED0D74003DBE2E /* Image Gallery */,
				2A1132E720ED0D74003DBE2E /* Products */,
			);
			sourceTree = "<group>";
		};
		2A1132E720ED0D74003DBE2E /* Products */ = {
			isa = PBXGroup;
			children = (
				2A1132E620ED0D74003DBE2E /* Image Gallery.app */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		2A1132E820ED0D74003DBE2E /* Image Gallery */ = {
			isa = PBXGroup;
			children = (
				2A5C1B6F20F6224200954138 /* View Controllers */,
				2A5C1B7020F6225300954138 /* Management */,
				2A5C1B7120F6226100954138 /* Cells */,
				2A1132ED20ED0D74003DBE2E /* Main.storyboard */,
				2A11330020ED4043003DBE2E /* Utilities.swift */,
				2A1132FB20ED0D87003DBE2E /* Supporting Files */,
				2A1132F520ED0D76003DBE2E /* Info.plist */,
			);
			path = "Image Gallery";
			sourceTree = "<group>";
		};
		2A1132FB20ED0D87003DBE2E /* Supporting Files */ = {
			isa = PBXGroup;
			children = (
				2A1132E920ED0D74003DBE2E /* AppDelegate.swift */,
				2A1132F020ED0D76003DBE2E /* Assets.xcassets */,
				2A1132F220ED0D76003DBE2E /* LaunchScreen.storyboard */,
			);
			path = "Supporting Files";
			sourceTree = "<group>";
		};
		2A5C1B6F20F6224200954138 /* View Controllers */ = {
			isa = PBXGroup;
			children = (
				2AE8CCBC20F548F600E30E7C /* ImageGalleryCollectionViewController.swift */,
				2A1132FE20ED3E19003DBE2E /* ImageGalleryDocumentTableViewController.swift */,
				2A5C1B6D20F6222F00954138 /* ImageViewController.swift */,
			);
			path = "View Controllers";
			sourceTree = "<group>";
		};
		2A5C1B7020F6225300954138 /* Management */ = {
			isa = PBXGroup;
			children = (
				2ACD341320F2752C00E0B1AC /* ImageGalleryManager.swift */,
				2AFAF4FC20F2B5B200A51312 /* ImageGallery.swift */,
			);
			path = Management;
			sourceTree = "<group>";
		};
		2A5C1B7120F6226100954138 /* Cells */ = {
			isa = PBXGroup;
			children = (
				2A1132FC20ED2A16003DBE2E /* ImageGalleryCollectionViewCell.swift */,
				2A5C1B7220F6359100954138 /* ImageGalleryDocumentTableViewCell.swift */,
			);
			path = Cells;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		2A1132E520ED0D74003DBE2E /* Image Gallery */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 2A1132F820ED0D76003DBE2E /* Build configuration list for PBXNativeTarget "Image Gallery" */;
			buildPhases = (
				2A1132E220ED0D74003DBE2E /* Sources */,
				2A1132E320ED0D74003DBE2E /* Frameworks */,
				2A1132E420ED0D74003DBE2E /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = "Image Gallery";
			productName = "Image Gallery";
			productReference = 2A1132E620ED0D74003DBE2E /* Image Gallery.app */;
			productType = "com.apple.product-type.application";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		2A1132DE20ED0D74003DBE2E /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 0940;
				LastUpgradeCheck = 0940;
				ORGANIZATIONNAME = "Ruslan Gritsenko";
				TargetAttributes = {
					2A1132E520ED0D74003DBE2E = {
						CreatedOnToolsVersion = 9.4.1;
					};
				};
			};
			buildConfigurationList = 2A1132E120ED0D74003DBE2E /* Build configuration list for PBXProject "Image Gallery" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 2A1132DD20ED0D74003DBE2E;
			productRefGroup = 2A1132E720ED0D74003DBE2E /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				2A1132E520ED0D74003DBE2E /* Image Gallery */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		2A1132E420ED0D74003DBE2E /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				2A1132F420ED0D76003DBE2E /* LaunchScreen.storyboard in Resources */,
				2A1132F120ED0D76003DBE2E /* Assets.xcassets in Resources */,
				2A1132EF20ED0D74003DBE2E /* Main.storyboard in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		2A1132E220ED0D74003DBE2E /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				2ACD341420F2752C00E0B1AC /* ImageGalleryManager.swift in Sources */,
				2A1132FF20ED3E19003DBE2E /* ImageGalleryDocumentTableViewController.swift in Sources */,
				2AE8CCBD20F548F600E30E7C /* ImageGalleryCollectionViewController.swift in Sources */,
				2A1132EA20ED0D74003DBE2E /* AppDelegate.swift in Sources */,
				2AFAF4FD20F2B5B200A51312 /* ImageGallery.swift in Sources */,
				2A11330120ED4043003DBE2E /* Utilities.swift in Sources */,
				2A5C1B6E20F6222F00954138 /* ImageViewController.swift in Sources */,
				2A5C1B7320F6359100954138 /* ImageGalleryDocumentTableViewCell.swift in Sources */,
				2A1132FD20ED2A16003DBE2E /* ImageGalleryCollectionViewCell.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXVariantGroup section */
		2A1132ED20ED0D74003DBE2E /* Main.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				2A1132EE20ED0D74003DBE2E /* Base */,
			);
			name = Main.storyboard;
			sourceTree = "<group>";
		};
		2A1132F220ED0D76003DBE2E /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				2A1132F320ED0D76003DBE2E /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		2A1132F620ED0D76003DBE2E /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 11.4;
				MTL_ENABLE_DEBUG_INFO = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		2A1132F720ED0D76003DBE2E /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 11.4;
				MTL_ENABLE_DEBUG_INFO = NO;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		2A1132F920ED0D76003DBE2E /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = 88X53XUV8A;
				INFOPLIST_FILE = "Image Gallery/Info.plist";
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = "com.ruslangritsenko.Image-Gallery";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 4.0;
				TARGETED_DEVICE_FAMILY = 2;
			};
			name = Debug;
		};
		2A1132FA20ED0D76003DBE2E /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = 88X53XUV8A;
				INFOPLIST_FILE = "Image Gallery/Info.plist";
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = "com.ruslangritsenko.Image-Gallery";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 4.0;
				TARGETED_DEVICE_FAMILY = 2;
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		2A1132E120ED0D74003DBE2E /* Build configuration list for PBXProject "Image Gallery" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				2A1132F620ED0D76003DBE2E /* Debug */,
				2A1132F720ED0D76003DBE2E /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		2A1132F820ED0D76003DBE2E /* Build configuration list for PBXNativeTarget "Image Gallery" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				2A1132F920ED0D76003DBE2E /* Debug */,
				2A1132FA20ED0D76003DBE2E /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 2A1132DE20ED0D74003DBE2E /* Project object */;
}
